classification
Title: Use specific asserts in http.cookiejar tests
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: ezio.melotti, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-11-15 09:55 by serhiy.storchaka, last changed 2013-11-17 12:47 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_http_cookiejar_asserts.patch serhiy.storchaka, 2013-11-15 09:55 review
Messages (3)
msg202931 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-11-15 09:55
The proposed patch makes the http.cookiejar module tests use more specific asserts. This will provide more useful failure report.
msg203102 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-11-16 23:01
LGTM (I left a comment on rietveld).
msg203141 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-11-17 11:50
New changeset 9444ee6864b3 by Serhiy Storchaka in branch '3.3':
Issue #19606: Use specific asserts in http.cookiejar tests.
http://hg.python.org/cpython/rev/9444ee6864b3

New changeset c1f2b3fc965d by Serhiy Storchaka in branch 'default':
Issue #19606: Use specific asserts in http.cookiejar tests.
http://hg.python.org/cpython/rev/c1f2b3fc965d

New changeset 1479ba6bc511 by Serhiy Storchaka in branch '2.7':
Issue #19606: Use specific asserts in cookielib tests.
http://hg.python.org/cpython/rev/1479ba6bc511
History
Date User Action Args
2013-11-17 12:47:09serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2013-11-17 11:50:14python-devsetnosy: + python-dev
messages: + msg203141
2013-11-16 23:01:51ezio.melottisetnosy: + ezio.melotti
messages: + msg203102
2013-11-15 09:57:58serhiy.storchakalinkissue16510 dependencies
2013-11-15 09:55:20serhiy.storchakacreate